import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:hub/src/core/data/repositories/hub_repository_impl.dart';
import 'package:hub/src/core/domain/repositories/hub_repository.dart';
import 'package:hub/src/core/providers/hub_remote_datasource_provier.dart';

final homeRepositoryProvider = Provider<HomeRepository>((ref) {
  final remote = ref.read(homeRemoteDatasourceProvider);
  return HomeRepositoryImpl(remote);
});
